#test
#say parkourama/map:tick


#on join
execute as @a[tag=!joined] run function map:on_join


#secrets
execute as @a at @s if score @s int_lectern matches 1.. run function map:secrets


#show rank
execute as @a[tag=output] run function map:rank_display/rank_output


#kill when out of bounds
execute as @a[gamemode=adventure] at @s if entity @s[tag=!level_speedrun,tag=!practice] if block ~ ~-0.1 ~ minecraft:white_concrete run kill @s


#trigger
scoreboard players enable @a level_pbs
execute as @a if score @s level_pbs matches 1.. run function map:trigger/level_pbs
scoreboard players enable @a level_pbs_reset
execute as @a if score @s level_pbs_reset matches 0.. run function map:trigger/level_pbs_reset
scoreboard players enable @a splits
execute as @a if score @s splits matches 1.. run function map:trigger/splits/splits


#progression
execute as @a[tag=!want_restart] at @s run function map:progression


#timer
execute as @a[tag=ingame] run function map:timer/ingame_timer
execute as @a[tag=ingame] run function map:timer/level_timer
execute as @a[tag=level_speedrun] run function map:timer/level_timer
execute as @a[tag=timer] run function map:timer/timer


#stucked
execute as @a[tag=stucked0] at @s run function map:stucked


#restart 
execute as @a[tag=!practice,tag=!want_restart,tag=!level_speedrun] unless entity @s[nbt={Inventory: [{Slot: 8b, id: "minecraft:diamond_boots"}]}] run function map:restart/restart_1
execute as @a[tag=!practice,tag=!want_restart,tag=!level_speedrun] if entity @s[nbt={Inventory: [{Slot: 100b, id: "minecraft:diamond_boots"}]}] run function map:restart/restart_1
execute as @a[tag=want_restart] run function map:restart/tick


#kill armor_stands when offline
execute as @e[type=minecraft:armor_stand,tag=speedlimit] run tag @s remove player_on
execute at @a as @e[type=minecraft:armor_stand,tag=speedlimit] if score @p id = @s id run tag @s add player_on
kill @e[type=minecraft:armor_stand,tag=speedlimit,tag=!player_on]


#level area
execute as @a at @s run function map:level_area


#saturation
execute as @a unless entity @s[nbt={foodLevel:20}] run effect give @s minecraft:saturation 1 200 true
execute as @a unless entity @s[nbt={Health:20}] run effect give @s minecraft:saturation 1 200 true


#in_lava
scoreboard players set @a in_lava 0
execute as @a at @s if block ~0.3 ~ ~ #map:lava run scoreboard players set @s in_lava 1
execute as @a at @s if block ~-0.3 ~ ~ #map:lava run scoreboard players set @s in_lava 1
execute as @a at @s if block ~ ~ ~0.3 #map:lava run scoreboard players set @s in_lava 1
execute as @a at @s if block ~ ~ ~-0.3 #map:lava run scoreboard players set @s in_lava 1
execute as @a at @s if block ~0.3 ~ ~0.3 #map:lava run scoreboard players set @s in_lava 1
execute as @a at @s if block ~0.3 ~ ~-0.3 #map:lava run scoreboard players set @s in_lava 1
execute as @a at @s if block ~-0.3 ~ ~0.3 #map:lava run scoreboard players set @s in_lava 1
execute as @a at @s if block ~-0.3 ~ ~-0.3 #map:lava run scoreboard players set @s in_lava 1


#fire res
effect clear @a minecraft:fire_resistance
execute as @a at @s unless score @s in_lava matches 1 if predicate map:on_fire unless predicate map:on_campfire unless block ~ ~-0.1 ~ minecraft:magma_block run effect give @s minecraft:fire_resistance 1 200 true 
execute as @a at @s unless score @s in_lava matches 1 if predicate map:on_fire if predicate map:is_sneaking if block ~ ~-0.1 ~ minecraft:magma_block run effect give @s minecraft:fire_resistance 1 200 true 


#advancement
advancement grant @a[gamemode=creative,tag=!fly] only map:cheater
advancement grant @a[scores={deathCount=100}] only map:noob
advancement grant @a[nbt={Air:0s, Health:18.0f}] only map:drownt


#xp
xp set @a 0 points





#Level
#brick_town
	#6
	execute as @e[type=minecraft:armor_stand,tag=secret,scores={as_id=8}] at @s if score @p Level matches 12 if entity @e[type=minecraft:tnt,distance=..5,nbt={Fuse:1s}] run function map:progression/level_effects/brick_town_6
#End
	#1
	execute as @a[scores={Level=13}] run function map:progression/level_effects/end_1
	#2
	execute as @a[scores={Level=14}] run function map:progression/level_effects/end_2
	#3
	execute as @a[scores={Level=15}] run function map:progression/level_effects/end_3
	#4
	execute as @a[scores={Level=16}] run function map:progression/level_effects/end_4
	#5
	execute as @a[scores={Level=17}] run function map:progression/level_effects/end_5
	#6
	execute as @a[scores={Level=18}] run function map:progression/level_effects/end_6

#finish
	#1
	execute as @a[scores={Level=37}] at @s run function map:progression/level_effects/finish

#Neon
	#1
	execute as @a[scores={Level=31}] run function map:progression/level_effects/neon_1
	#2
	execute as @a[scores={Level=32}] run function map:progression/level_effects/neon_2
	#3
	execute as @a[scores={Level=33}] run function map:progression/level_effects/neon_3
	#4
	execute as @a[scores={Level=34}] run function map:progression/level_effects/neon_4
	#5
	execute as @a[scores={Level=35}] run function map:progression/level_effects/neon_5
	#6
	execute as @a[scores={Level=36}] run function map:progression/level_effects/neon_6
#Start
	#1
	execute as @a[scores={Level=0}] run function map:progression/level_effects/start







