#test
#say parkourama/map:progression/levels


#n = Level
#m = n - 1


#clear effects
	effect clear @s minecraft:levitation
	effect clear @s minecraft:jump_boost


#just_tpt
scoreboard players set @s just_tpt 1


#Level add
	execute if score @s Level matches 1..100 if entity @s[tag=finished,tag=on_gplate,tag=!ingame] run scoreboard players add @s Level 1
	execute if score @s Level matches 1..100 if entity @s[tag=practice,tag=!finished,tag=on_gplate,tag=!ingame] run scoreboard players add @s Level 1


#advancements
	execute if entity @s[tag=start] run scoreboard players add @s Level 1
	execute if entity @s[tag=ingame] run scoreboard players add @s Level 1
	execute if score @s Level matches 1..6 run advancement grant @s only map:progression/countryside
	execute if score @s Level matches 7..12 run advancement grant @s only map:progression/brick_town
	execute if score @s Level matches 13..18 run advancement grant @s only map:progression/end
	execute if score @s Level matches 19..24 run advancement grant @s only map:progression/warped_forest
	execute if score @s Level matches 25..30 run advancement grant @s only map:progression/basalt
	execute if score @s Level matches 31..36 run advancement grant @s only map:progression/neon
	execute if score @s Level matches 37 run advancement grant @s only map:progression/last_level
	execute if score @s Level matches 38 run advancement grant @s only map:progression/finish
	execute if entity @s[tag=ingame] run scoreboard players remove @s Level 1
	execute if entity @s[tag=start] run scoreboard players remove @s Level 1


#tp	
	execute if entity @s[tag=start] run scoreboard players add @s Level 1
	execute if entity @s[tag=ingame] run scoreboard players add @s Level 1	
	function map:progression/levels/tp
	execute if entity @s[tag=ingame] run scoreboard players remove @s Level 1
	execute if entity @s[tag=start] run scoreboard players remove @s Level 1


#spawnpoint	
	execute if entity @s[tag=ingame] run scoreboard players add @s Level 1	
	function map:progression/levels/spawnpoint
	execute if entity @s[tag=ingame] run scoreboard players remove @s Level 1


#save level pb	 	
	execute if score @s l_time matches 1.. if entity @s[tag=on_gplate,tag=!practice] run function map:progression/levels/save_level_pb


#save level split 
	execute if entity @s[tag=on_gplate,tag=ingame] run function map:progression/levels/save_level_split


#show level_time
	execute if entity @s[tag=level_speedrun,tag=on_gplate] if score @s Level matches 1..37 run tellraw @s ["",{"text":"Level ","color":"gray"},{"score":{"name":"@s","objective":"Level"},"color":"gray","bold":"true"},{"text":": ","color":"gray"},{"score":{"name":"@s","objective":"ltime_s"},"color":"aqua"},{"text":".","color":"aqua"},{"score":{"name":"@s","objective":"ltime_100ms"},"color":"aqua"},{"score":{"name":"@s","objective":"ltime_10ms"},"color":"aqua"}]


#reset level_timer
	scoreboard players set @s l_time 0
	scoreboard players set @s ltime_10ms 0
	scoreboard players set @s ltime_100ms 0
	scoreboard players set @s ltime_s 0


#difference
	execute if entity @s[tag=on_gplate,tag=ingame] run function map:progression/levels/difference


#calculate difference
	#diff calc	
		scoreboard players operation @s diff_calc = @s diff_time
	#in m
		execute if score @s diff_calc matches ..0 run scoreboard players operation @s diff_calc *= @s num_-1
		execute store result score @s diff_m run scoreboard players operation @s diff_calc /= @s num_6000
		scoreboard players operation @s diff_calc = @s diff_time
	#in 10s
		execute if score @s diff_calc matches ..0 run scoreboard players operation @s diff_calc *= @s num_-1
		scoreboard players operation @s diff_calc %= @s num_6000
		execute store result score @s diff_10s run scoreboard players operation @s diff_calc /= @s num_1000
		scoreboard players operation @s diff_calc = @s diff_time
	#in s
		execute if score @s diff_calc matches ..0 run scoreboard players operation @s diff_calc *= @s num_-1
		scoreboard players operation @s diff_calc %= @s num_1000
		execute store result score @s diff_s run scoreboard players operation @s diff_calc /= @s num_100
		scoreboard players operation @s diff_calc = @s diff_time
	#in 100ms
		execute if score @s diff_calc matches ..0 run scoreboard players operation @s diff_calc *= @s num_-1
		scoreboard players operation @s diff_calc %= @s num_100
		execute store result score @s diff_100ms run scoreboard players operation @s diff_calc /= @s num_10
		scoreboard players operation @s diff_calc = @s diff_time
	#in 10ms
		execute if score @s diff_calc matches ..0 run scoreboard players operation @s diff_calc *= @s num_-1
		execute store result score @s diff_10ms run scoreboard players operation @s diff_calc %= @s num_10


#save diff
	execute if entity @s[tag=on_gplate,tag=ingame] if score @s num_finishes matches 1.. run function map:progression/levels/save_diff


#show split
	execute if entity @s[tag=on_gplate,tag=ingame] if score @s num_finishes matches 1.. run function map:timer/split


#finish
	execute if score @s Level matches 37 if entity @s[tag=ingame] run function map:progression/finish


#remove tags
	tag @s remove on_gplate
	execute if entity @s[tag=start] run tag @s remove start
	

#stucked
	execute if entity @s[tag=!finished,tag=!practice] if score @s Level matches 0..37 run tag @s add stucked0







