#test
#say practice:tick


#on_join
execute as @a[tag=!prac_joined] run function practice:on_join


#activate
execute as @a[tag=!practice,tag=!want_restart,tag=!level_speedrun,scores={prac_enabled=1}] at @s unless entity @s[nbt={Inventory: [{Slot: 7b, id: "minecraft:experience_bottle"}]}] run function practice:activate


#kill when out of bounds
execute as @a[gamemode=adventure] at @s if entity @s[tag=practice,tag=savestate] unless score @s Level matches 37 if block ~ ~-0.1 ~ minecraft:white_concrete run function practice:savestate/tp
execute as @a[gamemode=adventure] at @s if entity @s[tag=practice,tag=!savestate] unless score @s Level matches 37 if block ~ ~-0.1 ~ minecraft:white_concrete run kill @s


#enable Level trigger
scoreboard players enable @a[tag=practice] Level 


#no building in fly
kill @e[type=minecraft:falling_block,tag=build_block]
execute as @a[tag=fly] at @s unless predicate practice:is_swimming run summon minecraft:falling_block ~ ~1 ~ {BlockState:{Name:"minecraft:barrier"},Time:-2147483648,NoGravity:true,Tags:["build_block"]}
execute as @a[tag=fly] at @s if predicate practice:is_swimming run summon minecraft:falling_block ~ ~ ~ {BlockState:{Name:"minecraft:barrier"},Time:-2147483648,NoGravity:true,Tags:["build_block"]}


#deactivate
execute as @a[tag=practice,tag=!timer_mode,tag=!level_speedrun] at @s unless entity @s[nbt={Inventory: [{Slot: 8b, id: "minecraft:diamond_boots"}]}] run function practice:deactivate
execute as @a[tag=practice,tag=!timer_mode,tag=!level_speedrun] at @s if entity @s[nbt={Inventory: [{Slot: 100b, id: "minecraft:diamond_boots"}]}] run function practice:deactivate


#level_select
execute as @a[tag=practice,tag=!timer_mode,tag=!level_speedrun] at @s unless entity @s[nbt={Inventory: [{Slot: 0b, id: "minecraft:golden_boots"}]}] run function practice:level_speedrun/select_level
execute as @a[tag=practice,tag=!timer_mode,tag=!level_speedrun] at @s if entity @s[nbt={Inventory: [{Slot: 100b, id: "minecraft:golden_boots"}]}] run function practice:level_speedrun/select_level


#level_speedrun
execute as @a[tag=level_speedrun] run function practice:level_speedrun/tick


#trigger
scoreboard players enable @a level_speedrun
execute as @a if score @s level_speedrun matches 1.. run function practice:level_speedrun/toggle


#fly
execute as @a[tag=practice,tag=!level_speedrun] unless entity @s[nbt={Inventory: [{Slot: 1b, id: "minecraft:elytra"}]}] unless entity @s[tag=timer_mode] run function practice:fly
execute as @a[tag=practice,tag=!level_speedrun] if entity @s[nbt={Inventory: [{Slot: 102b, id: "minecraft:elytra"}]}] run function practice:fly


#timer
execute as @a[tag=practice,tag=!timer_mode,tag=!level_speedrun] unless entity @s[nbt={Inventory: [{Slot: 2b, id: "minecraft:leather_helmet"}]}] run function practice:timer/toggle
execute as @a[tag=practice,tag=!timer_mode,tag=!level_speedrun] if entity @s[nbt={Inventory:[ {Slot: 103b, id: "minecraft:leather_helmet"} ]}] if entity @s[nbt={Inventory:[ {Slot: 2b, id: "minecraft:leather_helmet"} ]}] run function practice:timer/toggle
execute as @a[tag=practice,tag=timer_mode,tag=!level_speedrun] unless entity @s[nbt={Inventory: [{Slot: 8b, id: "minecraft:experience_bottle"}]}] run function practice:timer/toggle
execute as @a[tag=practice,tag=timer_mode,tag=!level_speedrun] unless entity @s[nbt={Inventory: [{Slot: 0b, id: "minecraft:leather_helmet"}]}] run function practice:timer/play_pause
execute as @a[tag=practice,tag=timer_mode,tag=!level_speedrun] unless entity @s[nbt={Inventory: [{Slot: 1b, id: "minecraft:leather_helmet"}]}] run function practice:timer/stop
execute as @a[tag=practice,tag=timer_mode,tag=ptimer,tag=!level_speedrun] run function practice:timer/timer
execute as @a[tag=practice,tag=timer_mode,tag=ptimer,tag=!level_speedrun] run title @s actionbar ["",{"score":{"name":"@s","objective":"ptimer_s"},"color":"green"},{"text":".","color":"green"},{"score":{"name":"@s","objective":"ptimer_100ms"},"color":"green"},{"score":{"name":"@s","objective":"ptimer_10ms"},"color":"green"}]


#savestate
execute as @a[tag=practice,tag=!level_speedrun] at @s unless entity @s[nbt={Inventory: [{Slot: 7b, id: "minecraft:snowball"}]}] run function practice:savestate/set
execute as @a[tag=practice,tag=fly,tag=!level_speedrun] at @s if score @s snowball matches 1 run function practice:savestate/set
execute as @a[tag=practice,tag=savestate,tag=!level_speedrun] at @s unless entity @s[nbt={Inventory: [{Slot: 6b, id: "minecraft:ender_pearl"}]}] run function practice:savestate/tp
execute as @a[tag=practice,tag=savestate,tag=fly,tag=!level_speedrun] at @s if score @s ender_pearl matches 1 run function practice:savestate/tp


#kill all saves that are not in direct use
execute as @e[type=minecraft:armor_stand,tag=savestate] run tag @s remove player_on
execute at @a[tag=practice,tag=savestate] as @e[type=minecraft:armor_stand,tag=savestate] if score @p id = @s id run tag @s add player_on
kill @e[type=minecraft:armor_stand,tag=savestate,tag=!player_on]


#remove tag and tp_savestate item, when no savestate found
execute at @a[tag=savestate] as @e[type=minecraft:armor_stand,tag=savestate] if score @s id = @p id run scoreboard players set @p success 1
execute as @a[tag=savestate] unless score @s success matches 1.. run replaceitem entity @s hotbar.6 minecraft:air
execute as @a[tag=savestate] unless score @s success matches 1.. run tag @s remove savestate
scoreboard players set @a success 0


#items
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:diamond_boots"}}]
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:elytra"}}]
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:leather_helmet"}}]
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:ender_pearl"}}]
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:diamond_leggings"}}]
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:golden_boots"}}]





